
From: David Teigland <teigland@redhat.com>

At the start of recovery, all the recovery flags are cleared from the
previous recovery.  Two of them weren't being cleared.

Signed-off-by: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/member.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/dlm/member.c~dlm-recovery-dlm-clear-recovery-flags drivers/dlm/member.c
--- 25/drivers/dlm/member.c~dlm-recovery-dlm-clear-recovery-flags	Thu Jun  2 16:34:28 2005
+++ 25-akpm/drivers/dlm/member.c	Thu Jun  2 16:34:28 2005
@@ -276,6 +276,8 @@ int dlm_ls_stop(struct dlm_ls *ls)
 	 */
 
 	dlm_recoverd_suspend(ls);
+	clear_bit(LSFL_LOCKS_VALID, &ls->ls_flags);
+	clear_bit(LSFL_ALL_LOCKS_VALID, &ls->ls_flags);
 	clear_bit(LSFL_DIR_VALID, &ls->ls_flags);
 	clear_bit(LSFL_ALL_DIR_VALID, &ls->ls_flags);
 	clear_bit(LSFL_NODES_VALID, &ls->ls_flags);
_
